//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015 

//Chapter-1 : Introduction
//Example: 1.1   Page 6
//Topic: First Law Application to Closed System
//=======================================================================

model Ex1_1


//======================================================
//Variable Section
Real Q12(unit="kJ")"Amount of heat";

//======================================================
//Parameter Section
parameter Real m(unit="kg")=0.95"Mass"; 
parameter Real p(unit="kPa")=150"Pressure"; 
parameter Real cp(unit="J/(Kg.K)")=909.4"from Appendix Table A6 for O2";
parameter Real r(unit="J/(Kg.K")=8.314"Universal Gas Constant";
parameter Real t1(unit="K")=273+27"Initial temperature T1";
parameter Real t2(unit="K")=273+627"Temperature T2";

//======================================================
// Equation Section

equation
Q12=((m*cp*(t2-t1)))/10^3"Expression for calculating Q12";
end Ex1_1;

//=====================================================
