//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  
//Chapter-12 : Introduction to compressible flow
//Example: 12.3   Page:669
//Topic: speed of sound in steel, water, seawater, and air
//=======================================================================
package Ex12_3
class speedinsteel
//=======================================================================
//Parameter Section
parameter Real sg(unit="")=7.83"Specific gravity";
parameter Real d(unit="kg/m^3")=1000"Density of water ";
parameter Real eo(unit="N/m^2")=200E9"Bulk modulus";
parameter Real c1(unit="kg*m/(N*s^2)")=1"Unit conversion constant";
//=======================================================================
//Variable Section
Real v(unit="m/s")"Velocity of sound";

//=======================================================================
//Equation Section
equation
v=sqrt(eo/(sg*d))"Expresssion for velocity of sound ";
end speedinsteel;
class speedinwater
//=======================================================================
//Parameter Section
parameter Real sg(unit="")=0.998"Specific gravity";
parameter Real d(unit="kg/m^3")=1000"Density of water ";
parameter Real eo(unit="N/m^2")=2.24E9"Bulk modulus";
parameter Real c1(unit="kg*m/(N*s^2)")=1"Unit conversion constant";
//=======================================================================
//Variable Section
Real v(unit="m/s")"Velocity of sound";

//=======================================================================
//Equation Section
equation
v=sqrt(eo/(sg*d))"Expresssion for velocity of sound ";
end speedinwater;
class speedinseawater
//=======================================================================
//Parameter Section
parameter Real sg(unit="")=1.025"Specific gravity";
parameter Real d(unit="kg/m^3")=1000"Density of water ";
parameter Real eo(unit="N/m^2")=2.42E9"Bulk modulus";
parameter Real c1(unit="kg*m/(N*s^2)")=1"Unit conversion constant";
//=======================================================================
//Variable Section
Real v(unit="m/s")"Velocity of sound";

//=======================================================================
//Equation Section
equation
v=sqrt(eo/(sg*d))"Expresssion for velocity of sound ";
end speedinseawater;
class speedinair
//=======================================================================
//Parameter Section
parameter Real k(unit="")=1.4"Constant ";
parameter Real R(unit="N*m/(kg*K)")=287"Universal gas constant ";
parameter Real t(unit="K")=288"Temperature";
parameter Real c1(unit="kg*m/(N*s^2)")=1"Unit conversion constant";
//=======================================================================
//Variable Section
Real v(unit="m/s")"Velocity of sound";

//=======================================================================
//Equation Section
equation
v=sqrt(k*R*t*c1)"Expresssion for velocity of sound ";
end speedinair;
end Ex12_3;
//=======================================================================
