//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015 
//Chapter-3 : Pressure Variation in a Static Fluid
//Example: 3.1   Page 62
//Topic: Systolic and Diastolic Pressure 
//=======================================================================
model Ex3_1

//======================================================
// Parameter Section
parameter Real g(unit="m/s^2")=9.81"Acceleration due to gravity";
parameter Real s(unit="")=13.6"Specific Gravity of Manometric Fluid(Mercury) as given in Appendix A1";
parameter Real c1(unit="N*s/(Kg*m)")=1;
parameter Real d(unit="Kg/m^3")=1000"Density of Water";
parameter Real hs(unit="m")=0.12"Manometric height for systolic pressure in m";
parameter Real hd(unit="m")=0.08"Manometric height for diastolic pressure in m";

//======================================================
// Variable Section
Real ps(unit="N/m^2")"Systolic Pressure";
Real pd(unit="N/m^2")"Diastolic Pressure";

//======================================================
// Equation Section
equation
ps=s*d*hs*g"Expression for finding Systolic Pressure";
pd=s*d*hd*g"Expression for finding Diastolic Pressure";
end Ex3_1;
//======================================================

