//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  

//Chapter-4 : Basic equations in integral form for a control volume
//Example: 4.1   Page:106
//Topic: Mass flow at a pipe junction
//=======================================================================
model Ex4_1

//==============================================================
//Parameter Section
parameter Real v1(unit="m/s")=5"Velocity in section 1";
parameter Real v3(unit="m/s")=12"Velocity in section 3";
parameter Real a1(unit="m^2")=0.2"Flow area in section 1 ";
parameter Real a2(unit="m^2")=0.2"Flow area in section 2 "; 
parameter Real a3(unit="m^2")=0.15"Flow area in section 3 ";
parameter Real q4(unit="m^3/s")=0.1"Flow rate in hole at section 4";

//=======================================================================
//Variable Section
Real v2(unit="m/s")"Velocity at section 2";

//========================================================================
//Equation Section
equation
v2=(v1*a1-v3*a3-q4)/a2"Expression for velocity at section 2";
end Ex4_1;
//================================================================================
