//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  

//Chapter-4 : Basic equations in integral form for a control volume
//Example: 4.2   Page:108
//Topic: Mass flow in Boundary layer
//=======================================================================
model Ex4_2

//==============================================================
//Parameter Section
parameter Real p(unit="kg/m^3")=1.24"Density of Air over the flat plate";
parameter Real u(unit="m/s")=30"Velocity of air";
parameter Real d(unit="mm")=5"Boundary layer thickness";
parameter Real w(unit="m")=0.6"Plate width perpendicular to plate";
parameter Real c(unit="m/mm")=1e-3"Unit Conversion conatant";

//========================================================================
//Variable Section
Real m(unit="kg/s")"Mass flow rate of air";

//=========================================================================
//Equation Section
equation
m=p*d*u*w*c/3"Expression for mass flow rate of air";
end Ex4_2;
//==========================================================================
