//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  

//Chapter-4 : Basic equations in integral form for a control volume
//Example: 4.5   Page:115
//Topic: Tank on scale: body force
//=======================================================================
model Ex4_5

//==============================================================
//Parameter Section
parameter Real a1(unit="m^2")=0.009"Cross sectional area of opening-1";
parameter Real a2(unit="m^2")=0.009"Cross sectional area of opening-2";
parameter Real a3(unit="m^2")=0.009"Cross sectional area of opening-3";
parameter Real a(unit="m^2")=0.09"Inside cross sectional area of container";
parameter Real v1(unit="m/s")=3"Velocity of water flowing inside container";
parameter Real h(unit="m")=0.58"Height of water in container under steady flow conditions";
parameter Real w(unit="N")=22.2"Weight of metal container";
parameter Real p(unit="kg/m^3")=1000"Density of water";
parameter Real gm(unit="N/m^3")=9800"Specific weight";

//==============================================================
//Variable Section
Real ry(unit="N")"Force indicated by scale";

//==============================================================
//Equation Section
equation
ry=w+(gm*a*h)+(p*v1^2*a1)"Expression for force indicated by scale";
end Ex4_5;
//===========================================================================
