//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  
//Chapter-5 : Introduction to differenrial analysis of fluid motion
//Example: 5.9   Page:201
//Topic: Analysis of fully developed laminar flow down an inclined plane surface  
//=======================================================================
model Ex5_9

//=======================================================
//Parameter Section
parameter Real d(unit="kg/m^3")=999"Density of water";
parameter Real g(unit="m/s^2")=9.81"Acceleration due to gravity";
parameter Real h(unit="m")=1E-3"Thickness of water film";
parameter Real theta(unit="")=15"INclination of the water film to the horizontal plane";
parameter Real b(unit="m")=1"Width of the plane";
parameter Real c1(unit="l/m^3")=1000"Unit conversion constant";
parameter Real m(unit="kg/(m*s)")=1E-3"Viscosity of water";
final constant Real pi=2*Modelica.Math.asin(1.0);
final constant Real D2R=pi/180 "Degree to Radian";
//=======================================================
//Variable Section
Real q(unit="l/s")"Flow rate of water";

//=======================================================
//Equation Section
equation
q=(d*g*sin(theta*D2R)*b*h^3*c1)/(3*m)"Expression for finding flow rate of water";
end Ex5_9;
//========================================================================
