//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  
//Chapter-6 : Incompressible invisid flow
//Example: 6.2   Page:246
//Topic: Pitot Tube 
//=======================================================================
model Ex6_2

//=======================================================
//Parameter Section
parameter Real da(unit="kg/m^3")=1.23"Density of air";
parameter Real dw(unit="kg/m^3")=1000"Density of Water";
parameter Real g(unit="m/s^2")=9.81"Acceleration due to gravity";
parameter Real pd(unit="mm")=30"Pressure difference in mm Hg";
parameter Real sg(unit="")=13.6"pecific gravity of mercury";
parameter Real c(unit="m/mm")=1E-3"Unit conversion constant";

//=======================================================
//Variable Section
Real p(unit="kg/(m*s^2)")"Pressure difference";
Real v(unit="m/s")"Velocity  of air";

//=======================================================
//Equation Section
equation
p=dw*sg*g*pd*c"Expression for pressure difference ";
0.5*v^2=p/da"Expression for Velocity";
end Ex6_2;
//==============================================================
