//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  
//Chapter-6 : Incompressible invisid flow
//Example: 6.5   Page:249
//Topic: Flow under sluice gate  
//=======================================================================
model Ex6_5

//=======================================================
//Parameter Section
parameter Real d1(unit="m")=0.45"Diameter of section-1";
parameter Real d2(unit="m")=50E-3"Diameter of section-2";
parameter Real v1(unit="m/s")=0"Velocity in section-1";
parameter Real g(unit="m/s^2")=9.81"Acceleration due to gravity";

//=======================================================
//Variable Section
Real v2(unit="m/s")"Velocity at section-2";
Real qw(unit="m^3/(s*m)")"Discharge rate per unit width";

//=======================================================
//Equation Section 
equation
v2=sqrt(2*g*(d1-d2))"Expression for velocity at section-2";
qw=v2*d2"Expression for discharge rate";
end Ex6_5;
//================================================================
